# -*- coding: utf-8 -*-

# Copyright (c) 2002, 2003 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module defining the icons used by the various debugger modules.
"""

from qt import QPixmap

# Convert all the XPM icons to QPixmaps.

IconRunScriptXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff0000",
    "....................",
    "..######............",
    "..#######...........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..#######...........",
    "..######.....aaaaa..",
    "..####......a.......",
    "..##.##.....a.......",
    "..##..##....a.......",
    "..##...##....aaaa...",
    "..##....##.......a..",
    "..##.....#.......a..",
    ".................a..",
    "............aaaaa...",
    "...................."
]

IconRunScript = QPixmap(IconRunScriptXPM)


IconRunProjectXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff00ff",
    "....................",
    "..######............",
    "..#######...........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..#######...........",
    "..######....aaaaa...",
    "..####......a....a..",
    "..##.##.....a....a..",
    "..##..##....a....a..",
    "..##...##...aaaaa...",
    "..##....##..a.......",
    "..##.....#..a.......",
    "............a.......",
    "............a.......",
    "...................."
]

IconRunProject = QPixmap(IconRunProjectXPM)


IconCoverageScriptXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff0000",
    "....................",
    ".....#####..........",
    "....######..........",
    "...###..............",
    "..###...............",
    "..##................",
    "..##................",
    "..##................",
    "..##.........aaaaa..",
    "..##........a.......",
    "..##........a.......",
    "..###.......a.......",
    "...###.......aaaa...",
    "....######.......a..",
    ".....#####.......a..",
    ".................a..",
    "............aaaaa...",
    "...................."
]

IconCoverageScript = QPixmap(IconCoverageScriptXPM)


IconCoverageProjectXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff00ff",
    "....................",
    ".....#####..........",
    "....######..........",
    "...###..............",
    "..###...............",
    "..##................",
    "..##................",
    "..##................",
    "..##........aaaaa...",
    "..##........a....a..",
    "..##........a....a..",
    "..###.......a....a..",
    "...###......aaaaa...",
    "....######..a.......",
    ".....#####..a.......",
    "............a.......",
    "............a.......",
    "...................."
]

IconCoverageProject = QPixmap(IconCoverageProjectXPM)


IconProfileScriptXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff0000",
    "....................",
    "..######............",
    "..#######...........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..#######...........",
    "..######.....aaaaa..",
    "..##........a.......",
    "..##........a.......",
    "..##........a.......",
    "..##.........aaaa...",
    "..##.............a..",
    "..##.............a..",
    ".................a..",
    "............aaaaa...",
    "...................."
]

IconProfileScript = QPixmap(IconProfileScriptXPM)


IconProfileProjectXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff00ff",
    "....................",
    "..######............",
    "..#######...........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..#######...........",
    "..######....aaaaa...",
    "..##........a....a..",
    "..##........a....a..",
    "..##........a....a..",
    "..##........aaaaa...",
    "..##........a.......",
    "..##........a.......",
    "............a.......",
    "............a.......",
    "...................."
]

IconProfileProject = QPixmap(IconProfileProjectXPM)


IconDebugScriptXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff0000",
    "....................",
    "..#####.............",
    "..######............",
    "..##...##...........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##...aaaaa..",
    "..##....##..a.......",
    "..##....##..a.......",
    "..##....##..a.......",
    "..##...##....aaaa...",
    "..######.........a..",
    "..#####..........a..",
    ".................a..",
    "............aaaaa...",
    "...................."
]

IconDebugScript = QPixmap(IconDebugScriptXPM)


IconDebugProjectXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff00ff",
    "....................",
    "..#####.............",
    "..######............",
    "..##...##...........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..........",
    "..##....##..aaaaa...",
    "..##....##..a....a..",
    "..##....##..a....a..",
    "..##....##..a....a..",
    "..##...##...aaaaa...",
    "..######....a.......",
    "..#####.....a.......",
    "............a.......",
    "............a.......",
    "...................."
]

IconDebugProject = QPixmap(IconDebugProjectXPM)


IconRestartXPM = [
    "20 18 3 1",
    ". c None",
    "# c #0000c0",
    "a c #ff0000",
    "....................",
    "............#.......",
    "............##......",
    "............###.....",
    ".......#########....",
    "......#.....###.....",
    ".....#......##......",
    "....#.......#.......",
    "....#...............",
    "....#...............",
    "....#........a......",
    ".....#......aa......",
    "......#....aaa......",
    ".......###aaaa......",
    "...........aaa......",
    "............aa......",
    ".............a......",
    "...................."
]

IconRestart = QPixmap(IconRestartXPM)


IconContinueXPM = [
    "20 18 2 1",
    ". c None",
    "# c #0000c0",
    "....................",
    "........#...........",
    "........##..........",
    "........###.........",
    "....########..##....",
    "...#....###.....#...",
    "..#.....##.......#..",
    ".#......#.........#.",
    ".#................#.",
    ".#................#.",
    ".#.........#......#.",
    "..#.......##.....#..",
    "...#.....###....#...",
    "....##..########....",
    ".........###........",
    "..........##........",
    "...........#........",
    "...................."
]

IconContinue = QPixmap(IconContinueXPM)


IconStepXPM = [
    "20 18 3 1",
    ". c None",
    "a c #000000",
    "# c #0000c0",
    "....................",
    "...######...........",
    "..#.................",
    ".#......aaaaaaaaaaa.",
    ".#....#.............",
    "..#...##............",
    "...######..aaaaaaaa.",
    "......##............",
    "......#.............",
    "...........aaaaaaaa.",
    "....................",
    "....................",
    "...........aaaaaaaa.",
    "....................",
    "....................",
    "........aaaaaaaaaaa.",
    "....................",
    "...................."
]

IconStep = QPixmap(IconStepXPM)


IconStepOverXPM = [
    "20 18 3 1",
    ". c None",
    "a c #000000",
    "# c #0000c0",
    "....................",
    "...######...........",
    "..#.................",
    ".#......aaaaaaaaaaa.",
    ".#..................",
    ".#..................",
    ".#.........aaaaaaaa.",
    ".#..................",
    ".#..................",
    ".#.........aaaaaaaa.",
    ".#..................",
    ".#..................",
    ".#......aaaaaaaaaaa.",
    ".#....#.............",
    "..#...##............",
    "...######...........",
    "......##............",
    "......#............."
]

IconStepOver = QPixmap(IconStepOverXPM)


IconStepOutXPM = [
    "20 18 3 1",
    ". c None",
    "a c #000000",
    "# c #0000c0",
    "......#.............",
    "......##............",
    "...######...........",
    "..#...##............",
    ".#....#.............",
    ".#......aaaaaaaaaaa.",
    ".#..................",
    "..#.................",
    "...######..aaaaaaaa.",
    "....................",
    "....................",
    "...........aaaaaaaa.",
    "....................",
    "....................",
    "...........aaaaaaaa.",
    "....................",
    "....................",
    "........aaaaaaaaaaa."
]

IconStepOut = QPixmap(IconStepOutXPM)


IconStepQuitXPM = [
    "20 18 3 1",
    ". c None",
    "a c #0000c0",
    "# c #ff0000",
    "....................",
    "..#..............#..",
    "...#........a...#...",
    "....#.......aa.#....",
    ".....#......aa#.....",
    "......#aaaaaa#aa....",
    "......a#....#aa.....",
    ".....a..#..#aa......",
    "....a....##.a.......",
    "....a....##.........",
    "....a...#..#........",
    "....a..#....#.......",
    ".....a#......#......",
    ".....#a.......#.....",
    "....#..aaaa....#....",
    "...#............#...",
    "..#..............#..",
    "...................."
]

IconStepQuit = QPixmap(IconStepQuitXPM)


IconBreakpointToggleXPM = [
    "20 18 8 1",
    ". c None",
    "c c #004040",
    "b c #008080",
    "f c #00c0c0",
    "e c #00ffff",
    "d c #c0ffff",
    "# c #ff0000",
    "a c #ffffff",
    "....................",
    ".....#######........",
    "....#########.......",
    "...###########......",
    "..#############.....",
    ".###############....",
    ".#aaaaaaaaa#aaa#....",
    ".#a###a#a#a#a#a#....",
    ".#aaa#a#a#abbbbbc...",
    ".###a#a#a#abaddec...",
    ".#aaa#a#aaabdeefc...",
    ".##########bdeefc...",
    "..#######bbbdeefccc.",
    "...#######cddeeffc..",
    "....#######ceeefc...",
    ".....#######cffc....",
    ".............cc.....",
    "...................."
]

IconBreakpointToggle = QPixmap(IconBreakpointToggleXPM)


IconCBreakpointToggleXPM = [
    "20 18 8 1",
    ". c None",
    "c c #004040",
    "b c #008080",
    "f c #00c0c0",
    "e c #00ffff",
    "d c #c0ffff",
    "# c #ffaa00",
    "a c #ffffff",
    "....................",
    ".....#######........",
    "....#########.......",
    "...###########......",
    "..#############.....",
    ".###############....",
    ".#aaaaaaaaa#aaa#....",
    ".#a###a#a#a#a#a#....",
    ".#aaa#a#a#abbbbbc...",
    ".###a#a#a#abaddec...",
    ".#aaa#a#aaabdeefc...",
    ".##########bdeefc...",
    "..#######bbbdeefccc.",
    "...#######cddeeffc..",
    "....#######ceeefc...",
    ".....#######cffc....",
    ".............cc.....",
    "...................."
]

IconCBreakpointToggle = QPixmap(IconCBreakpointToggleXPM)


IconBreakpointNextXPM = [
    "20 18 8 1",
    ". c None",
    "c c #004040",
    "b c #008080",
    "d c #00c0c0",
    "f c #00ffff",
    "e c #c0ffff",
    "# c #ff0000",
    "a c #ffffff",
    "....................",
    ".....#######........",
    "....#########.......",
    "...###########......",
    "..#############.....",
    ".###############....",
    ".#aaaaaaaaa#aaa#....",
    ".#a###a#a#a#a#b#....",
    ".#aaa#a#a#a#a#bc....",
    ".###a#a#a#bbbbbdc...",
    ".#aaa#a#aabaeeefdc..",
    ".#########befffffdc.",
    "..########befffffdc.",
    "...#######bedddddc..",
    "....######cccccdc...",
    ".....#######..cc....",
    "..............c.....",
    "...................."
]

IconBreakpointNext = QPixmap(IconBreakpointNextXPM)


IconBreakpointPreviousXPM = [
    "20 18 8 1",
    ". c None",
    "c c #004040",
    "b c #008080",
    "f c #00c0c0",
    "e c #00ffff",
    "d c #c0ffff",
    "# c #ff0000",
    "a c #ffffff",
    "....................",
    ".....#######........",
    "....#########.......",
    "...###########......",
    "..#############.....",
    ".###############....",
    ".#aaaaaaaaa#aaa#....",
    ".#a###a#a#a#a#b#....",
    ".#aaa#a#a#a#abc#....",
    ".###a#a#a#a#bdccccc.",
    ".#aaa#a#aaabddeeffc.",
    ".#########baeeeeefc.",
    "..########bdeeeeefc.",
    "...########cffffffc.",
    "....########cfccccc.",
    ".....#######.cc.....",
    "..............c.....",
    "...................."
]

IconBreakpointPrevious = QPixmap(IconBreakpointPreviousXPM)


IconBreakXPM = [
    '15 15 3 1',
    '   c None',
    '_  c #ffffff',
    '#  c #ff0000',
    '    #######    ',
    '   #########   ',
    '  ###########  ',
    ' ############# ',
    '###############',
    '#_________#___#',
    '#_###_#_#_#_#_#',
    '#___#_#_#_#_#_#',
    '###_#_#_#_#___#',
    '#___#_#___#_###',
    '###############',
    ' ############# ',
    '  ###########  ',
    '   #########   ',
    '    #######    '
]

IconBreak = QPixmap(IconBreakXPM)


IconCBreakXPM = [
    '15 15 3 1',
    '   c None',
    '_  c #ffffff',
    '#  c #ffaa00',
    '    #######    ',
    '   #########   ',
    '  ###########  ',
    ' ############# ',
    '###############',
    '#_________#___#',
    '#_###_#_#_#_#_#',
    '#___#_#_#_#_#_#',
    '###_#_#_#_#___#',
    '#___#_#___#_###',
    '###############',
    ' ############# ',
    '  ###########  ',
    '   #########   ',
    '    #######    '
]

IconCBreak = QPixmap(IconCBreakXPM)


IconBreakDisabledXPM = [
    '15 15 3 1',
    '   c None',
    '_  c #ffffff',
    '#  c #888888',
    '    #######    ',
    '   #########   ',
    '  ###########  ',
    ' ############# ',
    '###############',
    '#_________#___#',
    '#_###_#_#_#_#_#',
    '#___#_#_#_#_#_#',
    '###_#_#_#_#___#',
    '#___#_#___#_###',
    '###############',
    ' ############# ',
    '  ###########  ',
    '   #########   ',
    '    #######    '
]

IconBreakDisabled = QPixmap(IconBreakDisabledXPM)


IconTBreakXPM = [
    '15 15 4 1',
    '   c None',
    '_  c #ffffff',
    '#  c #ff0000',
    'a  c #000000',
    '    #######    ',
    '   #########   ',
    '  #aaaaaaaaa#  ',
    ' ##aaaaaaaaa## ',
    '###aaaaaaaaa###',
    '#_____aaa_#___#',
    '#_###_aaa_#_#_#',
    '#___#_aaa_#_#_#',
    '###_#_aaa_#___#',
    '#___#_aaa_#_###',
    '######aaa######',
    ' #####aaa##### ',
    '  ####aaa####  ',
    '   #########   ',
    '    #######    '
]

IconTBreak = QPixmap(IconTBreakXPM)


IconTCBreakXPM = [
    '15 15 4 1',
    '   c None',
    '_  c #ffffff',
    '#  c #ffaa00',
    'a  c #000000',
    '    #######    ',
    '   #########   ',
    '  #aaaaaaaaa#  ',
    ' ##aaaaaaaaa## ',
    '###aaaaaaaaa###',
    '#_____aaa_#___#',
    '#_###_aaa_#_#_#',
    '#___#_aaa_#_#_#',
    '###_#_aaa_#___#',
    '#___#_aaa_#_###',
    '######aaa######',
    ' #####aaa##### ',
    '  ####aaa####  ',
    '   #########   ',
    '    #######    '
]

IconTCBreak = QPixmap(IconTCBreakXPM)


