# -*- coding: utf-8 -*-

# Copyright (c) 2002, 2003 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module defining the icons for the helpviewer.
"""

from qt import QPixmap

# Convert all the XPM icons to QPixmaps.

IconNewWindowXPM = [
    "20 18 11 1",
    ". c None",
    "# c #000000",
    "c c #000080",
    "b c #0000ff",
    "d c #585858",
    "g c #a0a0a0",
    "i c #c0c000",
    "a c #c3c3c3",
    "h c #ffff00",
    "f c #ffffc0",
    "e c #ffffff",
    "....................",
    "..################..",
    "..#aabcbbccbcccaa#..",
    "..#aabbbbcbccccaa#..",
    "..#dddddddddddddd#..",
    "..#eeeeeeeeeeeeee#..",
    "..#eeeeeeeeeefefe#..",
    "..#eeeeeeeeeeeeef#..",
    "..#eeeeeefefgfefe#..",
    "..#eeeeeegfeghegf#..",
    "..#eeeeeefghihihe#..",
    "..#eeeeeeeeifffif#..",
    "..#eefefgfhhfefhhf..",
    "..#########ifffi##..",
    "..........#hihih....",
    ".........#f.#h.#f...",
    "............#f......",
    "...................."
]

IconNewWindow = QPixmap(IconNewWindowXPM)


IconBackXPM = [
    "20 18 8 1",
    ". c None",
    "# c #000000",
    "f c #004040",
    "e c #008080",
    "d c #00c0c0",
    "c c #00ffff",
    "a c #c0ffff",
    "b c #ffffff",
    "....................",
    "....................",
    "..........##........",
    ".........#a#........",
    "........#bc#........",
    ".......#bcd#........",
    "......#bcdd######...",
    ".....#bcdddcaaac#...",
    "....#bcdddddddde#...",
    "...#acddddddddde#...",
    "....#fedddddddde#...",
    ".....#fedddeeeee#...",
    "......#fedd######...",
    ".......#fed#........",
    "........#fe#........",
    ".........#f#........",
    "..........##........",
    "...................."
]

IconBack = QPixmap(IconBackXPM)


IconForwardXPM = [
    "20 18 8 1",
    ". c None",
    "# c #000000",
    "f c #004040",
    "e c #008080",
    "c c #00c0c0",
    "b c #00ffff",
    "a c #c0ffff",
    "d c #ffffff",
    "....................",
    "....................",
    "........##..........",
    "........#a#.........",
    "........#ba#........",
    "........#cba#.......",
    "...######ccba#......",
    "...#dddabcccba#.....",
    "...#dccccccccba#....",
    "...#acccccccccef#...",
    "...#accccccccef#....",
    "...#ceeeecccef#.....",
    "...######ccef#......",
    "........#cef#.......",
    "........#ef#........",
    "........#f#.........",
    "........##..........",
    "...................."
]

IconForward = QPixmap(IconForwardXPM)


IconReloadXPM = [
    "20 18 6 1",
    ". c None",
    "# c #000000",
    "c c #004040",
    "d c #008080",
    "b c #00c0c0",
    "a c #00ffff",
    "....................",
    "........#####.......",
    "......##abb##c#.....",
    ".....#abbd#..###....",
    ".....#bbd#.....#....",
    "....#abd#.......#...",
    "....#bbd#...........",
    "..#aabbbbd#..##.....",
    "...#abbbd#..#da#....",
    "....#abd#..#dbba#...",
    ".....#d#..#ddbbba#..",
    "......#.....#bb#....",
    "...#........#ba#....",
    "....#......#bb#.....",
    "....###..##bba#.....",
    ".....#c##dba##......",
    ".......#####........",
    "...................."
]

IconReload = QPixmap(IconReloadXPM)


IconHomeXPM = [
    "20 18 11 1",
    ". c None",
    "# c #000000",
    "d c #400000",
    "c c #800000",
    "e c #a0a0a0",
    "b c #c00000",
    "i c #c05800",
    "a c #ff0000",
    "h c #ff8000",
    "g c #ffa858",
    "f c #ffffff",
    "....................",
    ".........##.........",
    "....#...#ab#........",
    "....#..#abac#.......",
    "....#.#abddbc#......",
    "....##abde.dbc#.....",
    "....#abde.f.dbc#....",
    "...#abde.fff.dbc#...",
    "..#abde.fffff.dbc#..",
    "..cdde.fdddff.e##c..",
    "....#e.dgghdf.e#....",
    "....#e.dgiidf.e#....",
    "....#e.dgiidf.e#....",
    "....#e.dgiidf.e#....",
    "....#e.dhiidf.e#....",
    "....#e.dhiidf.e#....",
    ".....##########.....",
    "...................."
]

IconHome = QPixmap(IconHomeXPM)


IconAddBookmarkXPM = [
    "20 18 9 1",
    ". c None",
    "# c #000000",
    "d c #303030",
    "b c #800080",
    "a c #c000c0",
    "f c #c0c000",
    "e c #ffff00",
    "c c #ffffc0",
    "g c #ffffff",
    "....................",
    "....................",
    "..############......",
    "...#aaaabababb##....",
    "....#aababababab#...",
    ".....#aababbbbbbb#..",
    "....#aababababbbb#..",
    "...#bababbbbbbbbb#..",
    "..###########cbbb#..",
    ".........#c#de##c#..",
    "..........#efefe....",
    "...........fcccf....",
    "........#ceecgceec..",
    "...........fcccf....",
    "..........#efefe....",
    ".........#c.#e.#c...",
    "............#c......",
    "...................."
]

IconAddBookmark = QPixmap(IconAddBookmarkXPM)


IconEditBookmarksXPM = [
    "20 18 6 1",
    ". c None",
    "# c #000000",
    "c c #303030",
    "d c #585858",
    "b c #800080",
    "a c #c000c0",
    "....................",
    "....................",
    "....................",
    "..############......",
    "...#aaaabababb##....",
    "....#aababababab#...",
    ".....#aababbbbbbb#..",
    "....#aababababbbb#..",
    "...#bababbbbbbbbb#..",
    "..############bbb#..",
    "...........#cc##b#..",
    "..........#cdcdc#...",
    ".........#dddd##....",
    "........#dddd#......",
    "........ccccc.......",
    "....................",
    "....................",
    "...................."
]

IconEditBookmarks = QPixmap(IconEditBookmarksXPM)


