# -*- coding: utf-8 -*-

# Copyright (c) 2002, 2003 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module defining file and directory related icons.
"""

from qt import QPixmap

# Convert all the XPM icons to QPixmaps.

IconDirOpenXPM = [
    '16 16 6 1',
    '. c None',
    'b c #ffff00',
    'd c #000000',
    '* c #999999',
    'c c #cccccc',
    'a c #ffffff',
    '................',
    '................',
    '...*****........',
    '..*aaaaa*.......',
    '.*abcbcba******.',
    '.*acbcbcaaaaaa*d',
    '.*abcbcbcbcbcb*d',
    '*************b*d',
    '*aaaaaaaaaa**c*d',
    '*abcbcbcbcbbd**d',
    '.*abcbcbcbcbcd*d',
    '.*acbcbcbcbcbd*d',
    '..*acbcbcbcbb*dd',
    '..*************d',
    '...ddddddddddddd',
    '................'
]

IconDirOpen = QPixmap(IconDirOpenXPM)


IconDirClosedXPM = [
    '16 16 6 1',
    '. c None',
    'b c #ffff00',
    'd c #000000',
    '* c #999999',
    'a c #cccccc',
    'c c #ffffff',
    '................',
    '................',
    '..*****.........',
    '.*ababa*........',
    '*abababa******..',
    '*cccccccccccc*d.',
    '*cbababababab*d.',
    '*cabababababa*d.',
    '*cbababababab*d.',
    '*cabababababa*d.',
    '*cbababababab*d.',
    '*cabababababa*d.',
    '*cbababababab*d.',
    '**************d.',
    '.dddddddddddddd.',
    '................'
]

IconDirClosed = QPixmap(IconDirClosedXPM)


IconFilePythonXPM = [
    "16 16 34 1",
    ". c None",
    "w c #000000",
    "g c #0000ff",
    "t c #003f00",
    "q c #007f00",
    "s c #00bf00",
    "p c #00ff00",
    "j c #202000",
    "r c #205f00",
    "B c #209f00",
    "o c #20df00",
    "h c #373737",
    "u c #377637",
    "y c #3f0000",
    "d c #3f3f00",
    "z c #3fbf00",
    "a c #404000",
    "m c #407f00",
    "v c #40bf00",
    "# c #575737",
    "i c #5f5f00",
    "e c #606000",
    "n c #609f00",
    "b c #6e6e6e",
    "E c #777737",
    "c c #7f7f00",
    "f c #7f7f7f",
    "l c #808000",
    "A c #8e8e6e",
    "k c #a5a5a5",
    "D c #b63737",
    "x c #bf0000",
    "F c #e4a5a5",
    "C c #ed6e6e",
    "...##a#.........",
    "..bcdceb........",
    "..bfcgab........",
    "..hcicejbk......",
    "kalllllmee#.....",
    "aeellnopqllb....",
    "rnnnostoqlla....",
    "uooottvtvvla....",
    ".wxyroubonl#....",
    ".xzoqbABnlek....",
    "CDbbkEpnlek....k",
    ".F.#mollehk.bkkj",
    "..ksplleele#leea",
    "..bvolllllllemmk",
    "..kBvovmBvvakkk.",
    "...kqrukkbb....."
]

IconFilePython = QPixmap(IconFilePythonXPM)


IconFileMiscXPM = [
    '16 16 5 1',
    '. c #7f7f7f',
    '# c None',
    'c c #000000',
    'b c #bfbfbf',
    'a c #ffffff',
    '################',
    '..........######',
    '.aaaaaaaab.#####',
    '.aaaaaaaaba.####',
    '.aaaaaaaacccc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.aaaaaaaaaabc###',
    '.bbbbbbbbbbbc###',
    'ccccccccccccc###'
]

IconFileMisc = QPixmap(IconFileMiscXPM)


IconClassXPM = [
    "16 16 10 1",
    ". c None",
    "# c #000000",
    "c c #001cd0",
    "g c #008080",
    "d c #0080e8",
    "h c #00c0c0",
    "f c #00ffff",
    "b c #24d0fc",
    "a c #a4e8fc",
    "e c #c0ffff",
    ".....##.........",
    "....#aa##.......",
    "...#aaabb#......",
    "..#bbbbbc###....",
    "..#ddbbcc#ee##..",
    "..#dddcc#eeeff#.",
    "..#dddc#fffffg#.",
    "...###c#hhffgg#.",
    "...#aa##hhhggg#.",
    "..#aaabb#hhgg#..",
    ".#bbbbbc##hg#...",
    ".#ddbbcc#.##....",
    ".#dddccc#.......",
    ".#dddcc#........",
    "..##dc#.........",
    "....##.........."
]

IconClass = QPixmap(IconClassXPM)


IconMethodXPM = [
    "16 16 5 1",
    ". c None",
    "# c #000000",
    "b c #e0bc38",
    "c c #f0dc5c",
    "a c #fcfc80",
    "................",
    "................",
    "................",
    "..........##....",
    ".........#aa##..",
    "........#aaaaa#.",
    ".......#aaaaab#.",
    "....##.#ccaabb#.",
    "...#aa##cccbbb#.",
    "..#aaaaa#ccbb#..",
    ".#aaaaab##cb#...",
    ".#ccaabb#.##....",
    ".#cccbbb#.......",
    ".#cccbb#........",
    "..##cb#.........",
    "....##.........."
]

IconMethod = QPixmap(IconMethodXPM)


IconFileDesignerXPM = [
    "16 16 14 1",
    ". c None",
    "# c #000000",
    "k c #161616",
    "d c #202000",
    "i c #404000",
    "a c #505000",
    "j c #707000",
    "c c #808000",
    "f c #888828",
    "h c #909000",
    "b c #a0a000",
    "g c #a8a828",
    "l c #b0b000",
    "e c #c0c000",
    ".....#..........",
    "......#.........",
    "......##........",
    ".......###......",
    ".......##.......",
    "#....####.......",
    ".##..##.##......",
    "..####.#.#......",
    "...####..####...",
    "...#..####abcd..",
    "........#aeefg#.",
    "........#geh#hi.",
    "........#cf##jk.",
    ".........dlhj##.",
    "..........#id##.",
    "...............#"
]

IconFileDesigner = QPixmap(IconFileDesignerXPM)


IconFileLinguistXPM = [
    "16 16 17 1",
    ". c None",
    "# c #000000",
    "b c #000080",
    "f c #0000c0",
    "e c #0000ff",
    "c c #004040",
    "g c #00c0c0",
    "a c #303030",
    "h c #400000",
    "k c #c05800",
    "d c #c0c0ff",
    "j c #ff0000",
    "n c #ff00ff",
    "m c #ffdca8",
    "l c #ffff00",
    "o c #ffffc0",
    "i c #ffffff",
    "......####......",
    ".....####.......",
    "....##ab....#...",
    "...#bac###.#d#..",
    "..##aaacef#d#gh.",
    "..#aaaeaai###d#.",
    ".#aaabaeiii###gh",
    ".##a###ii.i#d###",
    "##j#ii#i.i.i#...",
    "#kj##i#jiiij##..",
    "#jjk##jkjijkkj#h",
    "##lmllmlljjnjk##",
    ".##a#lmlol#a###.",
    "...###lml#......",
    ".....######.....",
    ".......#####...."
]

IconFileLinguist = QPixmap(IconFileLinguistXPM)


IconFileProjectXPM = [
    "16 16 8 1",
    ". c None",
    "# c #303030",
    "d c #5e2479",
    "c c #6e308b",
    "b c #b895ce",
    "a c #dedede",
    "f c #fffff9",
    "e c #ffffff",
    "................",
    "################",
    "#aabbbbbbbbbbaa#",
    "#aaccccccccccaa#",
    "##########d#####",
    "#aeeeeeeeeeeeea#",
    "#aeeeeeeeeeeeea#",
    "#aeeeeeeeeeeeea#",
    "#aeeeeeeeeeeeea#",
    "#aeeeeeeeeeeeea#",
    "#aeeeeeeeeeeeea#",
    "#afeeeeeeeeeeea#",
    "#aaaaaaaaaaaaaa#",
    "################",
    "................",
    "................"
]

IconFileProject = QPixmap(IconFileProjectXPM)


IconFileIDLXPM = [
    "16 16 6 1",
    ". c None",
    "c c #000000",
    "d c #000080",
    "# c #7f7f7f",
    "b c #bfbfbf",
    "a c #ffffff",
    "................",
    "##########......",
    "#aaaaaaaab#.....",
    "#aaaaaaaaba#....",
    "#aaaaaaaacccc...",
    "#aaaaaaaaaabc...",
    "#dddaddaadabc...",
    "#adaadadadabc...",
    "#adaadadadabc...",
    "#adaadadadabc...",
    "#adaadadadabc...",
    "#dddaddaadddc...",
    "#aaaaaaaaaabc...",
    "#aaaaaaaaaabc...",
    "#bbbbbbbbbbbc...",
    "ccccccccccccc..."
]

IconFileIDL = QPixmap(IconFileIDLXPM)


