# -*- coding: utf-8 -*-

# Copyright (c) 2002, 2003 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module defining the icons for the editor.
"""

from qt import QPixmap

# Convert all the XPM icons to QPixmaps.

IconNewXPM = [
    "20 18 14 1",
    ". c None",
    "# c #000000",
    "a c #303030",
    "l c #400000",
    "e c #585858",
    "g c #a0a0a0",
    "i c #c0c000",
    "j c #c1c10a",
    "c c #c3c3c3",
    "b c #dcdcdc",
    "f c #ffff00",
    "k c #ffff85",
    "h c #ffffc0",
    "d c #ffffff",
    "....................",
    "......##a###a##.....",
    "......abbbbbcac#....",
    "......#bdddddedb#...",
    "......#bdddddebdc#..",
    "......#bdddddeeea#..",
    ".....afbddddddbcg#..",
    "..af.afbafddddhdb#..",
    "...afififdddddddd#..",
    "....jhkhiaadhdhdh#..",
    "..fffkdkfffddddhd#..",
    "..a.ihkhidhdhdhdh#..",
    "...afififddddhdhd#..",
    "..af.afbafhdhdhdh#..",
    ".....afbdddhdhdhh#..",
    "......#bhdhdhdhhh#..",
    "......######l##a##..",
    "....................",
]

IconNew = QPixmap(IconNewXPM)


IconPrintXPM = [
    "20 18 10 1",
    ". c None",
    "a c #000000",
    "f c #303030",
    "d c #404000",
    "# c #585858",
    "g c #808080",
    "e c #a0a0a0",
    "c c #c3c3c3",
    "h c #ffdca8",
    "b c #ffffff",
    "....................",
    "..........#a#.......",
    ".........#bbc#a.....",
    "........dbbbbbbe#...",
    "........#bbbbbbbea..",
    "......a#bbbbbbbbfa..",
    ".....agcbbbbbbbega..",
    "....ae#bhbhbbbb#a...",
    "...aeee##hbhbhea#...",
    "..aeeeeee###hbf#a...",
    "..a..eeeeeee###eea..",
    "..a......eeeeeee#a..",
    "..a.........eee##a..",
    "...aa#........###a..",
    "......aa#.....##a...",
    ".........aa#..#a....",
    "............aaa.....",
    "....................",
]

IconPrint = QPixmap(IconPrintXPM)


IconFindXPM = [
    "20 18 12 1",
    ". c None",
    "# c #000000",
    "i c #004040",
    "d c #008080",
    "b c #00c0c0",
    "h c #00ffff",
    "g c #303030",
    "a c #585858",
    "e c #808080",
    "c c #c0ffff",
    "j c #c3c3c3",
    "f c #ffffff",
    "....................",
    "......###.......a...",
    "....##bcb##.........",
    "...#dcccccd#...ee...",
    "...#ccfffcc#..eaaa..",
    "..#bcfffcccb#.aaag..",
    "..#ccffccccc#..gg...",
    "..#bcfcccccb#.......",
    "...#ccccccc#........",
    "...#dcccccd#h.......",
    "....##bcb##b##......",
    "......###.i#aj#.....",
    "....a......#gaj#....",
    "......a.....#gaj#...",
    "...ee........#gaj#..",
    "..eaaa.a......#ga#..",
    "..aaag.........##...",
    "....................",
]

IconFind = QPixmap(IconFindXPM)


IconFindNextXPM = [
    "20 18 6 1",
    ". c None",
    "# c #000000",
    "d c #303030",
    "c c #800080",
    "b c #c000c0",
    "a c #ff00ff",
    "....................",
    "...........######...",
    ".....#.....######...",
    "....#a#.#...........",
    "...#aba#a#.#######..",
    "..#abbbac#..........",
    "...#abbbc#.####.....",
    "....#abbc#..........",
    "...#acccc#.ddddd....",
    "....######..........",
    "...........#######..",
    "...........#######..",
    "....................",
    "...........###......",
    "....................",
    "...........#####....",
    "....................",
    "....................",
]

IconFindNext = QPixmap(IconFindNextXPM)


IconGotoXPM = [
    "20 18 3 1",
    ". c None",
    "# c #000000",
    "a c #400000",
    "....................",
    "...........##.......",
    ".........##aa#......",
    "........#aaa#.......",
    ".......#aaaa#.......",
    ".......#aaa#........",
    "........###.........",
    ".....##.............",
    "....#aa#.....#......",
    ".....##....##a#.....",
    "..........#aaa#.....",
    ".........#aaa#......",
    ".........#aaa#......",
    ".........#aa#.......",
    ".......#..##........",
    "......#a#...........",
    "......###...........",
    "....................",
]

IconGoto = QPixmap(IconGotoXPM)


IconGotoBraceXPM = [
    "20 18 4 1",
    ". c None",
    "# c #000000",
    "b c #0000ff",
    "a c #400000",
    "....................",
    "....................",
    "......#aa...........",
    "....#aaa#....b..b...",
    "...#aaaa#...b....b..",
    "...#aaa#....b....b..",
    "....###....b......b.",
    ".##........b......b.",
    "#aa#.......b......b.",
    ".##.....#a.b......b.",
    "......#aaa.b......b.",
    ".....#aaa#.b......b.",
    ".....#aaa#..b....b..",
    ".....#aa#...b....b..",
    "...#..##.....b..b...",
    "..#a#...............",
    "..###...............",
    "....................",
]

IconGotoBrace = QPixmap(IconGotoBraceXPM)


IconEditUndoXPM = [
    "20 18 5 1",
    ". c None",
    "# c #000000",
    "c c #000080",
    "b c #0000c0",
    "a c #0000ff",
    "....................",
    "....................",
    ".........####.......",
    ".......##aaaa##.....",
    "..#...#aaaabbbb#....",
    "..#b.#aaabb##cbb#...",
    "..#a#aaab##..##c#...",
    "..#aaaab#......#c#..",
    "..#aaaa#.......###..",
    "..#aaaa#.......###..",
    "..#bbbbbb......###..",
    "..########.....##...",
    "..............###...",
    ".............###....",
    "...........####.....",
    "..........###.......",
    "....................",
    "....................",
]

IconEditUndo = QPixmap(IconEditUndoXPM)


IconEditRedoXPM = [
    "20 18 5 1",
    ". c None",
    "# c #000000",
    "c c #000080",
    "b c #0000c0",
    "a c #0000ff",
    "....................",
    "....................",
    ".......####.........",
    ".....##aaaa##.......",
    "....#bbbbaaaa#...#..",
    "...#bbc##bbaaa#.b#..",
    "...#c##..##baaa#b#..",
    "..#c#......#baaab#..",
    "..###.......#aaab#..",
    "..###.......#aaab#..",
    "..###......bbbbbb#..",
    "...##.....########..",
    "...###..............",
    "....###.............",
    ".....####...........",
    ".......###..........",
    "....................",
    "....................",
]

IconEditRedo = QPixmap(IconEditRedoXPM)


IconEditCutXPM = [
    "20 18 5 1",
    ". c None",
    "# c #000000",
    "c c #808080",
    "b c #dcdcdc",
    "a c #ffffff",
    "....................",
    "....................",
    "...####........##...",
    "..##..##......#ab#..",
    "..##...##....#ab#...",
    "...##...#...#ab#....",
    "....######.#ab#.....",
    "......#####ab#......",
    "........##ab#.......",
    "........#ab##.......",
    "......#####cb#......",
    "....######.#ab#.....",
    "...##...#...#ab#....",
    "..##...##....#ab#...",
    "..##..##......#ab#..",
    "...####........##...",
    "....................",
    "....................",
]

IconEditCut = QPixmap(IconEditCutXPM)


IconEditCopyXPM = [
    "20 18 7 1",
    ". c None",
    "# c #000000",
    "c c #303030",
    "d c #a0a0a0",
    "e c #dcdcdc",
    "b c #ffffc0",
    "a c #ffffff",
    "....................",
    "..######............",
    "..#aaaa##...........",
    "..#aaaa#b#..........",
    "..#acca#ab#.........",
    "..#aaaa#######......",
    "..#accaaddd#a##.....",
    "..#aaaaabab#a#e#....",
    "..#acccaccb#a#ae#...",
    "..#aaababbb#a#####..",
    "..#accacccb#aaddd#..",
    "..#ababbbbb#aaaae#..",
    "..#########ccacca#..",
    "........#aaaaaaaa#..",
    "........#accaccca#..",
    "........#aaaaaaaa#..",
    "........##########..",
    "....................",
]

IconEditCopy = QPixmap(IconEditCopyXPM)


IconEditPasteXPM = [
    "20 18 8 1",
    ". c None",
    "# c #000000",
    "f c #303030",
    "b c #a0a0a0",
    "a c #c0c000",
    "c c #dcdcdc",
    "e c #ffffc0",
    "d c #ffffff",
    "....................",
    ".........##.........",
    "...######aa#####....",
    "..#bbbb#a##a#bbb#...",
    "..#cbb#aaaaaa#bb#...",
    "..#cbb########bb#...",
    "..#cbbbb#dddd##b#...",
    "..#cbbbb#dddd#e##...",
    "..#cbbbb#dffd#de##..",
    "..#cbbbb#dddd#####..",
    "..#cbbbb#dffddbbb#..",
    "..#cbbbb#dddddede#..",
    "..#cbbbb#dfffdffe#..",
    "..#cbbbb#dddedeee#..",
    "..#bbbbb#dffdfffe#..",
    "...######dedeeeee#..",
    "........##########..",
    "....................",
]

IconEditPaste = QPixmap(IconEditPasteXPM)


IconEditDeleteXPM = [
    "20 18 4 1",
    ". c None",
    "# c #000000",
    "b c #808080",
    "a c #ffffff",
    "....................",
    "...##############...",
    "..#aaaaaaaaaaaaaa#..",
    "..#aaaaaaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aa#baaaaaaaaaa#..",
    "..#aaaaaaaaaaaaaa#..",
    "..#aaaaaaaaaaaaaa#..",
    "...##############...",
    "....................",
]

IconEditDelete = QPixmap(IconEditDeleteXPM)


IconEditIndentXPM = [
    "20 18 27 1",
    ". c None",
    "a c #000000",
    "x c #6c5338",
    "s c #846547",
    "m c #8d6f50",
    "u c #906e4c",
    "# c #969696",
    "v c #a07d5a",
    "w c #a27e58",
    "r c #a68058",
    "g c #ac8764",
    "y c #b48c62",
    "p c #d49c68",
    "q c #d6a26e",
    "o c #d6a774",
    "t c #d8ac7e",
    "l c #dbac7d",
    "b c #dec899",
    "c c #eaeadf",
    "d c #eaecd2",
    "e c #f1f3db",
    "k c #fdce96",
    "j c #ffeeba",
    "f c #ffefbe",
    "n c #fff0c2",
    "i c #fff9d5",
    "h c #fffff9",
    "....................",
    "..################..",
    "....................",
    ".....a.....aaaaaaa..",
    ".....aa.............",
    "..aaaaba...aaaaaaa..",
    "..acdefga...........",
    "..ahijklma.aaaaaaa..",
    "..anopqrsa..........",
    "..atuvwxa..aaaaaaa..",
    "..aaaaya............",
    ".....aa....aaaaaaa..",
    ".....a..............",
    "...........aaaaaaa..",
    "....................",
    "..################..",
    "....................",
    "....................",
]

IconEditIndent = QPixmap(IconEditIndentXPM)


IconEditUnindentXPM = [
    "20 18 27 1",
    ". c None",
    "a c #000000",
    "t c #6c5338",
    "n c #846547",
    "h c #8d6f50",
    "w c #906e4c",
    "# c #969696",
    "v c #a07d5a",
    "u c #a27e58",
    "o c #a68058",
    "c c #ac8764",
    "y c #b48c62",
    "q c #d49c68",
    "p c #d6a26e",
    "r c #d6a774",
    "x c #d8ac7e",
    "i c #dbac7d",
    "b c #dec899",
    "g c #eaeadf",
    "f c #eaecd2",
    "e c #f1f3db",
    "j c #fdce96",
    "k c #ffeeba",
    "d c #ffefbe",
    "s c #fff0c2",
    "l c #fff9d5",
    "m c #fffff9",
    "....................",
    "..################..",
    "....................",
    "......a....aaaaaaa..",
    ".....aa.............",
    "....abaaaa.aaaaaaa..",
    "...acdefga..........",
    "..ahijklma.aaaaaaa..",
    "..anopqrsa..........",
    "...atuvwxa.aaaaaaa..",
    "....ayaaaa..........",
    ".....aa....aaaaaaa..",
    "......a.............",
    "...........aaaaaaa..",
    "....................",
    "..################..",
    "....................",
    "....................",
]

IconEditUnindent = QPixmap(IconEditUnindentXPM)


IconEditCommentXPM = [
    "20 18 4 1",
    ". c None",
    "a c #000000",
    "b c #6c5338",
    "# c #969696",
    "....................",
    "..################..",
    "....................",
    "...........aaaaaaa..",
    "....b..b............",
    "....b..b...aaaaaaa..",
    "..bbbbbbbb..........",
    "....b..b...aaaaaaa..",
    "....b..b............",
    "..bbbbbbbb.aaaaaaa..",
    "....b..b............",
    "....b..b...aaaaaaa..",
    "....................",
    "...........aaaaaaa..",
    "....................",
    "..################..",
    "....................",
    "....................",
]

IconEditComment = QPixmap(IconEditCommentXPM)


IconEditUncommentXPM = [
    "20 18 5 1",
    ". c None",
    "a c #000000",
    "b c #6c5338",
    "# c #969696",
    "c c #ff0000",
    "....................",
    "..################..",
    "....................",
    "...........aaaaaaa..",
    "....b..b.c..........",
    "....b..bc..aaaaaaa..",
    "..bbbbbcbb..........",
    "....b.cb...aaaaaaa..",
    "....bc.b............",
    "..bbcbbbbb.aaaaaaa..",
    "...cb..b............",
    "..c.b..b...aaaaaaa..",
    "....................",
    "...........aaaaaaa..",
    "....................",
    "..################..",
    "....................",
    "....................",
]

IconEditUncomment = QPixmap(IconEditUncommentXPM)


IconFileSaveXPM = [
    "20 18 7 1",
    ". c None",
    "# c #303030",
    "d c #69a5a5",
    "a c #7b7b7b",
    "c c #abbbb6",
    "e c #bcbcbc",
    "b c #ffffff",
    "....................",
    "....................",
    "....############....",
    "...#a#bbbbbbbb#a#...",
    "...#a#bcddddcb#a#...",
    "...#a#bbbbbbbb#a#...",
    "...#a#bcddddcb#a#...",
    "...#a##bbbbbbb#a#...",
    "...#aa########aa#...",
    "...#aaaaaaaaaaaa#...",
    "...#aaa#######aa#...",
    "...#aa#eeee#aa#a#...",
    "...#aa#e##e#aa#a#...",
    "...#aa#e##e#aa#a#...",
    "...#aa#eeee#aa#a#...",
    "....############....",
    "....................",
    "....................",
]

IconFileSave = QPixmap(IconFileSaveXPM)


IconFileSaveAsXPM = [
    "20 18 15 1",
    ". c None",
    "b c #1b1b1b",
    "e c #303030",
    "c c #3f3f3f",
    "d c #404040",
    "a c #5b3e26",
    "k c #69a5a5",
    "l c #6a5344",
    "i c #7b7b7b",
    "j c #abbbb6",
    "m c #bcbcbc",
    "f c #e17504",
    "g c #f89a30",
    "# c #fdd7a6",
    "h c #ffffff",
    "....................",
    "....................",
    "..#.abcddddeeeee....",
    "..fggg#hhhhhhheie...",
    "...ffgg#jkkkjheie...",
    "...eeeffg#hhhheie...",
    "...eieeffflkjheie...",
    "...eieehhhhhhheie...",
    "...eiieeeeeeeeiie...",
    "...eiiiiiiiiiiiie...",
    "...eiiieeeeeeeiie...",
    "...eiiemmmmeiieie...",
    "...eiiemeemeiieie...",
    "...eiiemeemeiieie...",
    "...eiiemmmmeiieie...",
    "....eeeeeeeeeeee....",
    "....................",
    "....................",
]

IconFileSaveAs = QPixmap(IconFileSaveAsXPM)


IconFileSaveAllXPM = [
    "20 18 12 1",
    ". c None",
    "# c #303030",
    "h c #53504d",
    "g c #69a5a5",
    "d c #7b7b7b",
    "f c #abbbb6",
    "b c #b895ce",
    "i c #bcbcbc",
    "c c #c7c7c7",
    "j c #cbcbca",
    "a c #dedede",
    "e c #ffffff",
    "....................",
    ".....#############..",
    ".....#aabbbbbbbaa#..",
    "...############.c#..",
    "..#d#eeeeeeee#d###..",
    "..#d#efggggfe#d#a#..",
    "..#d#eeeeeeee#d#a#..",
    "..#d#efggggfe#d#a#..",
    "..#d##eeeeeee#d#a#..",
    "..#dd########dd#a#..",
    "..#dddddddddddd###..",
    "..#ddd#######dd#h#..",
    "..#dd#iiii#dd#d#j#..",
    "..#dd#i##i#dd#d###..",
    "..#dd#i##i#dd#d#....",
    "..#dd#iiii#dd#d#....",
    "...############.....",
    "....................",
]

IconFileSaveAll = QPixmap(IconFileSaveAllXPM)


IconFileSaveProjectXPM = [
    "20 18 11 1",
    ". c None",
    "# c #303030",
    "h c #5e2479",
    "c c #69a5a5",
    "g c #6e308b",
    "a c #808080",
    "e c #b895ce",
    "d c #c3c3c3",
    "f c #dedede",
    "i c #fffff9",
    "b c #ffffff",
    "..#########.........",
    ".#a#bbbbb#a#........",
    ".#a#bcccb#a#........",
    ".#a#bbbbb#a#........",
    ".#aa#####aa#........",
    ".#aaaaaaaaa#........",
    ".#aa#####aa########.",
    ".#a#ddd#a#a#eeeeff#.",
    ".#a#d#d#a#a#ggggff#.",
    ".#a#ddd#a#a##h#####.",
    "..#########bbbbbbf#.",
    "...#fbbb##bbbbbbbf#.",
    "...#fbbbbb##b#bbbf#.",
    "...#fbbbbbbb##bbbf#.",
    "...#fbbbbbb###bbbf#.",
    "...#fibbbbbbbbbbbf#.",
    "...#ffffffffffffff#.",
    "...################.",
]

IconFileSaveProject = QPixmap(IconFileSaveProjectXPM)


IconFileModifiedXPM = [
    "15 15 6 1",
    ". c None",
    "# c #303030",
    "c c #69a5a5",
    "a c #808080",
    "d c #c3c3c3",
    "b c #ffffff",
    "...............",
    "...............",
    "...#########...",
    "..#a#bbbbb#a#..",
    "..#a#bcccb#a#..",
    "..#a#bbbbb#a#..",
    "..#aa#####aa#..",
    "..#aaaaaaaaa#..",
    "..#aa#####aa#..",
    "..#a#ddd#a#a#..",
    "..#a#d#d#a#a#..",
    "..#a#ddd#a#a#..",
    "...#########...",
    "...............",
    "..............."
]

IconFileModified = QPixmap(IconFileModifiedXPM)


IconBookmarkXPM = [
    "15 15 4 1",
    ". c None",
    "a c #000080",
    "# c #0000ff",
    "b c #a0a0a0",
    "..........####.",
    ".........#...#a",
    "........#.....a",
    ".......#.###..a",
    "......#.#...a.a",
    ".....#.#....aa.",
    "....#.#...a.a..",
    "...#.#...a.a...",
    "..#.#...a.a....",
    ".#.#...a.a.....",
    "#..#..a.a......",
    "#..#aa.a....bbb",
    "#.....a...bbb..",
    "##...a..bbb....",
    ".aaaa.bbb......"
]

IconBookmark = QPixmap(IconBookmarkXPM)

