# -*- coding: utf-8 -*-

# Copyright (c) 2002, 2003 Detlev Offenbach <detlev@die-offenbachs.de>
#

"""
Module implementing the non-Qt debugger stub for passive mode debugging.
"""

import os
import sys
import string

debugger = None

# setup the searchpath for the import later on
pyFullVers = string.split(sys.version)[0]

vl = string.split(pyFullVers,".")
pyVers = vl[0] + "." + vl[1]
pyVersNr = int(vl[0]) * 10 + int(vl[1])

if sys.platform == "win32":
    if pyVersNr < 22:
        modDir = sys.prefix + "\\Lib"
    else:
        modDir = sys.prefix + "\\Lib\\site-packages"
else:
    modDir = sys.prefix + "/lib/python" + pyVers + "/site-packages"

ericpath = os.getenv('ERICDIR', os.path.join(modDir, 'eric3'))

if not ericpath in sys.path:
    sys.path.insert(-1, ericpath)
    
# now do the import
try:
    import Debugger.DebugClientNoQt
    debugger = Debugger.DebugClientNoQt.DebugClient()
except:
    debugger = None
